/* Dies ist ein Method-Plugin. Zwei übergebene Funktionen werden 
   auf die Elemente der Eingangscollection abwechselnd angewendet.
   Signatur: $(sel).toggleClick(fn1, fn2);
   fn1 : function
   fn2 : function
 */
 
(function($){
 
  jQuery.fn.toggleClick = function(fn1, fn2){
   
     return this.each(function(){
			this._clicked = true;
			
			$(this).click(function(){
				var args = arguments;
				if(this._clicked === true) {
				   fn1.apply(this, args);
				   this._clicked = false;
				} else {
					fn2.apply(this, args);
				   this._clicked = true;
				}
			})
	 });
 };
 
 })(jQuery);